Next: , Previous: , Up: Libraries   [Contents][Index]


2.2.2 zlib

For the optional compression of UDP packets, tinc uses the functions provided by the zlib library.

If this library is not installed, you will get an error when running the configure script. You can either install the zlib library, or disable support for zlib compression by using the "–disable-zlib" option when running the configure script. Note that if you disable support for zlib, the resulting binary will not work correctly on VPNs where zlib compression is used.

You can use your operating system’s package manager to install this if available. Make sure you install the development AND runtime versions of this package.

If you have to install zlib manually, you can get the source code from http://www.zlib.net/. Instructions on how to configure, build and install this package are included within the package. Please make sure you build development and runtime libraries (which is the default).